document.addEventListener('DOMContentLoaded', () => {
  // Create kaleidoscope segments
  const kContainer = document.querySelector('.k-container');
  const segments = document.querySelectorAll('.k-segment');
  
  segments.forEach((segment, index) => {
    segment.style.transform = `rotateY(${index * 60}deg) translateZ(150px)`;
  });

  // Create floating bubbles
  const bubbleContainer = document.querySelector('.bubble-container');
  for (let i = 0; i < 50; i++) {
    const bubble = document.createElement('div');
    bubble.className = 'bubble';
    bubble.style.left = `${Math.random() * 100}%`;
    bubble.style.animationDelay = `${Math.random() * 5}s`;
    bubbleContainer.appendChild(bubble);
  }

  // Parallax effect on shapes
  document.addEventListener('mousemove', (e) => {
    const shapes = document.querySelectorAll('.shape');
    const x = e.clientX / window.innerWidth;
    const y = e.clientY / window.innerHeight;

    shapes.forEach(shape => {
      const speed = parseFloat(shape.getAttribute('data-speed') || 0.1);
      const xOffset = (x - 0.5) * speed * 100;
      const yOffset = (y - 0.5) * speed * 100;
      
      shape.style.transform = `translate(${xOffset}px, ${yOffset}px)`;
    });
  });

  // Menu toggle functionality
  const menuToggle = document.querySelector('.menu-toggle');
  menuToggle.addEventListener('click', () => {
    menuToggle.classList.toggle('active');
  });

  // Glitch effect intensifier on hover
  const glitchText = document.querySelector('.glitch');
  glitchText.addEventListener('mouseenter', () => {
    glitchText.style.animation = 'glitch 0.5s infinite';
  });
  glitchText.addEventListener('mouseleave', () => {
    glitchText.style.animation = 'glitch 1s infinite';
  });
});